Package org.eclipse.graphiti.ui.internal.action

## Class AbstractPreDefinedAction

- java.lang.Object
- - org.eclipse.core.commands.common.EventManager
  - - org.eclipse.jface.action.AbstractAction
    - - org.eclipse.jface.action.Action
      - - org.eclipse.gef.ui.actions.WorkbenchPartAction
        - - org.eclipse.gef.ui.actions.SelectionAction
          - - org.eclipse.graphiti.ui.internal.action.AbstractPreDefinedAction

All Implemented Interfaces:
  `org.eclipse.gef.Disposable`, `org.eclipse.gef.ui.actions.UpdateAction`, `IAvailable`, `org.eclipse.jface.action.IAction`

Direct Known Subclasses:
  `CopyAction`, `DeleteAction`, `PasteAction`, `RemoveAction`, `UpdateAction`

    public abstract class AbstractPreDefinedAction
    extends org.eclipse.gef.ui.actions.SelectionAction
    implements IAvailable

### Field Summary

### Fields inherited from interface org.eclipse.jface.action.IAction

`AS_CHECK_BOX, AS_DROP_DOWN_MENU, AS_PUSH_BUTTON, AS_RADIO_BUTTON, AS_UNSPECIFIED, CHECKED, DESCRIPTION, ENABLED, HANDLED, IMAGE, RESULT, TEXT, TOOL_TIP_TEXT`

### Constructor Summary

Constructors
`AbstractPreDefinedAction​(org.eclipse.ui.IWorkbenchPart part, IConfigurationProvider configurationProvider)`

### Method Summary

All Methods Instance Methods Concrete Methods
`protected void` `executeOnCommandStack​(ICommand command)`
`protected void` `genericRun​(IContextAndFeatureProvider cfProvider)`
`protected IConfigurationProvider` `getConfigurationProvider()`
`protected IFeatureProvider` `getFeatureProvider()`
`protected PictogramElement[]` `getSelectedPictogramElements()`

### Methods inherited from class org.eclipse.gef.ui.actions.SelectionAction

`dispose, getSelectedObjects, getSelection, handleSelectionChanged, setSelection, setSelectionProvider, update`

### Methods inherited from class org.eclipse.gef.ui.actions.WorkbenchPartAction

`calculateEnabled, execute, getCommandStack, getWorkbenchPart, init, isEnabled, refresh, setLazyEnablementCalculation, setWorkbenchPart`

### Methods inherited from class org.eclipse.jface.action.Action

`convertAccelerator, convertAccelerator, findKeyCode, findKeyString, findModifier, findModifierString, getAccelerator, getActionDefinitionId, getDescription, getDisabledImageDescriptor, getHelpListener, getHoverImageDescriptor, getId, getImageDescriptor, getMenuCreator, getStyle, getText, getToolTipText, isChecked, isHandled, notifyResult, removeAcceleratorText, removeMnemonics, run, runWithEvent, setAccelerator, setActionDefinitionId, setChecked, setDescription, setDisabledImageDescriptor, setEnabled, setHelpListener, setHoverImageDescriptor, setId, setImageDescriptor, setMenuCreator, setText, setToolTipText`

### Methods inherited from class org.eclipse.jface.action.AbstractAction

`addPropertyChangeListener, firePropertyChange, firePropertyChange, removePropertyChangeListener`

### Methods inherited from class org.eclipse.core.commands.common.EventManager

`addListenerObject, clearListeners, getListeners, isListenerAttached, removeListenerObject`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.eclipse.graphiti.ui.internal.action.IAvailable

`isAvailable`

### Constructor Detail

#### AbstractPreDefinedAction

    public AbstractPreDefinedAction​(org.eclipse.ui.IWorkbenchPart part,
                                    IConfigurationProvider configurationProvider)

### Method Detail

#### getConfigurationProvider

    protected IConfigurationProvider getConfigurationProvider()

#### getFeatureProvider

    protected IFeatureProvider getFeatureProvider()

#### getSelectedPictogramElements

    protected PictogramElement[] getSelectedPictogramElements()

#### executeOnCommandStack

    protected void executeOnCommandStack​(ICommand command)

#### genericRun

    protected void genericRun​(IContextAndFeatureProvider cfProvider)